Bug 1090367 - GCC 8: virtualbox build fails
GCC 8: virtualbox build fails
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Liška
E-mail List
:
Depends on:
Blocks: 1084649
  Show dependency treegraph
 
Reported: 2018-04-20 11:41 UTC by Martin Liška
Modified: 2018-05-04 09:35 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2018-04-20 11:41:52 UTC
https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:Gcc7:DVD/virtualbox/standard/x86_64

[  125s] + ./configure --ose --enable-vnc --enable-vde --disable-kmods --with-linux=/usr --disable-java --disable-docs --enable-webservice --with-mkisofs=/bin/true --with-makeself=/bin/true
[  125s] Checking for environment: Determined build machine: linux.amd64, target machine: linux.amd64, OK.
[  125s] Checking for kBuild: found, OK.
[  125s] Checking for gcc: 
[  125s]   ** gcc version 8.0 found, expected gcc 4.x...7.x!

Stupid configure script..
Comment 1 Martin Liška 2018-04-20 12:10:08 UTC
I did https://build.opensuse.org/request/show/599286, but the configure script needs an overhaul.
Comment 2 Swamp Workflow Management 2018-04-26 22:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1090367) was mentioned in
https://build.opensuse.org/request/show/601697 Factory / virtualbox
Comment 3 Richard Biener 2018-05-04 09:35:21 UTC
Fixed.